osl::IntArrayReader Struct Reference

## Public Member Functions

| IntArrayReader (const int *a, size_t l)
bool | hasNext () const
bool | failed () const
int | read ()

## Public Attributes

size_t | cur
size_t | length
const int * | array

## Detailed Description

Definition at line 182 of file openMidEndingEval.cc.

## Constructor & Destructor Documentation

## IntArrayReader()

osl::IntArrayReader::IntArrayReader | ( | const int * | a,
|  | size_t | l )

inline

Definition at line 186 of file openMidEndingEval.cc.

References array, cur, and length.

## Member Function Documentation

## failed()

bool osl::IntArrayReader::failed | ( |  | ) | const

inline

Definition at line 190 of file openMidEndingEval.cc.

## hasNext()

bool osl::IntArrayReader::hasNext | ( |  | ) | const

inline

Definition at line 189 of file openMidEndingEval.cc.

References cur, and length.

## read()

int osl::IntArrayReader::read | ( |  | ) |

inline

Definition at line 191 of file openMidEndingEval.cc.

References array, and cur.

## Member Data Documentation

## array

const int* osl::IntArrayReader::array

Definition at line 185 of file openMidEndingEval.cc.

Referenced by IntArrayReader(), and read().

## cur

size_t osl::IntArrayReader::cur

Definition at line 184 of file openMidEndingEval.cc.

Referenced by hasNext(), IntArrayReader(), and read().

## length

size_t osl::IntArrayReader::length

Definition at line 184 of file openMidEndingEval.cc.

Referenced by hasNext(), and IntArrayReader().

The documentation for this struct was generated from the following file:

- openMidEndingEval.cc